Articles of eclipse

Профилирование приложений Android с плагином Eclipse TPTP вместо отслеживания

Стандартный способ профилировать приложение Android в Eclipse использует DDMS-плагин и создает файл трассировки со всей информацией внутри. Если вы хотите просмотреть эту информацию, вы можете использовать «traceview». Мне не понравился мой первый опыт работы с этим приложением, потому что вы не можете фильтровать результаты. У вас есть много вызовов методов для запуска вашего приложения, и […]

Нет номеров строк в редакторе Eclipse или Android Studio XML

При редактировании файлов XML в редакторе для Eclipse номера строк не отображаются. Случай использования: Я создаю макет со многими представлениями, один из которых не имеет атрибута android: layout_width. Это приводит к ошибке выполнения во время раздувания ресурса бинарного XML-макета. В журнале ошибок мне проверяется, как 361 в моем XML-файле. Благодаря отображенному номеру строки я могу […]

Можете ли вы изменить мин. API для вашего приложения Android в Eclipse?

Я выбрал API минимального уровня 1.5 для моего приложения для Android, и я собираюсь интегрировать в него жесты, которые пришли в 1.6. Есть ли способ в Eclipse изменить минимальный уровень с 1,5 до 1,6 на полпути через создание приложения? Большое спасибо

ADT 22.3 (android 4.4) – получение ошибки «После создания сцены, #init () необходимо вызвать"

После установки нового ADT (22.3.0.v201310242005-887826), который поддерживает Android 4.4 (KitKat), я продолжаю получать ошибку, как показано здесь: Произошла внутренняя ошибка В списке ошибок я вижу несколько элементов «RenderPreview», и когда я нажимаю на любой из них, я вижу: Произошла внутренняя ошибка. После создания сцены необходимо вызвать #init () При тестировании нового ADT на другом компьютере […]

Что делает ic_launcher-web.png в корне моего проекта?

Невероятно, я не мог найти ответ, когда Гуглинг по этому самому основному вопросу! Я заметил, что с тех пор, как я обновился от Eclipse Helios до Eclipse Juno и обновил Android SDK, Eclipse помещает файл root в директорию проекта ic_launcher-web.png всякий раз, когда я создаю новый проект для Android. Файл такой же, как значок приложения, […]

LogCat Останавливает запуск в Eclipse Needs Restart

Периодически LogCat перестает показывать сообщения, даже если я в режиме отладки. В других случаях он будет отображать только одну строку за раз! У меня есть решение, перезапустите eclipse. Но я хотел бы это лучше понять. Это займет слишком много времени, чтобы перезапустить eclipse, когда это произойдет. Я видел это поведение на эмуляторе и подключался к […]

КлассNotFoundException после обновления ADT

Недавно я обновил плагин Android SDK & Eclipse ADT до последней версии. Теперь, когда я пытаюсь запустить ранее существующий проект Android, LogCat показывает ClassNotFoundException . Я попытался создать новое устройство, но проблема все еще существует. манифест <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.myapp" android:versionCode="1" android:versionName="1.0" > <uses-sdk android:minSdkVersion="8" android:targetSdkVersion="17" /> <uses-permission android:name="android.permission.INTERNET" /> <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> […]

Для Android SDK требуется Android Developer Toolkit версии 23.0.0 или выше

При запуске Eclipse появляется следующее сообщение об ошибке. И когда я пытаюсь обновить с помощью справки> Установить новое программное обеспечение … используя ссылку обновления eclipse https://dl-ssl.google.com/eclipse/plugin/4.2 Это дает мне следующую ошибку: Cannot complete the install because of a conflicting dependency. Software being installed: Android Development Tools 23.0.1.1256982 (com.android.ide.eclipse.adt.feature.feature.group 23.0.1.1256982) Software currently installed: Android Development Tools […]

Файл открытия ошибки: нет такого файла или каталога (2)

Я получаю ошибку выше: Файл открытия ошибки: нет такого файла или каталога (2) Когда я запускаю приложение для Android в эмуляторе. Может ли кто-нибудь сказать мне, что может быть причиной этого? Я использую android-sdk-20 и ниже строки добавляются в AndroidManifest.xml <uses-sdk android:minSdkVersion="14" android:targetSdkVersion="15" /> Я также добавил строку: <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> Так как я думал, […]

Eclipse Indigo – Не удается установить плагин Android ADT

Когда я пытаюсь установить Android Developer Tool, я получаю следующую ошибку. Установленное программное обеспечение: средства разработки для Android 11.0.0.v201105251008-128486 (com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) Отсутствующие требования: средства разработки для Android 11.0.0.v201105251008-128486 ( Com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486) требует «org.eclipse.wst.sse.core 0.0.0», но его не удалось найти Я также обнаружил, что добавление пакета WST не помогает. Я получаю следующее: Не удается завершить установку, […]